Bug 218668 - Netatalk AppleDB corruption
Summary: Netatalk AppleDB corruption
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
(Show other bugs)
Version: 6
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-06 17:50 UTC by Jim Deas
Modified: 2016-07-26 23:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 12:51:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Deas 2006-12-06 17:50:06 UTC
FC6 release. Tested on:
Tyan 2882  w/2 Opteron and 1G memory
Tyan 2882-D w/2 Dual dual core Opterons and 2G memory

Both systems using 3ware 9xxxx series raid controllers for afp storage.
  
Actual results:
Netatalk database files appear to get corrupted and can end up not only locking 
up the share, but on occation also cause the afp client thread to 'jam' 
consuming a large amount of process time and effectivly making it impossible 
for the user to login a second time by locking up the Mac computer on login 
attempts.
The only way to clear this error is to kill the afp thread if hung and delete 
the .AppleDB files related to that share. Next login recreates the DB files and 
all works correctly for a time. No data files appear to have corruption

Using the same hardware, FC5 x86-64 install (with the same major number 
netatalk) works correctly even with loads beyond 50 users

Comment 1 Jim Deas 2007-10-24 13:13:32 UTC
This problem appears to be fixed in FC7 release

Comment 2 Jim Deas 2007-11-28 12:51:12 UTC
I agree. I have been testing for three weeks without incident.


Note You need to log in before you can comment on or make changes to this bug.